#
# printdlg.py
# $Id: printdlg.py,v 1.1 1996/09/09 16:50:53 kzeil Exp $
#
# Koert Zeilstra - Network Solutions
# 1996.09.06
#

import Tkinter

class PrintDialog(Tkinter.Toplevel):
  def __init__ (self, parent):
    Tkinter.Toplevel.__init__ (self, parent)
    self._close_command = None
    self._ok_command = None

    command_frame = Tkinter.Frame(self)
    command_label = Tkinter.Label(command_frame, text="Command",
		anchor="w", width=10)
    command_label.pack(side="left")
    self._command_entry = Tkinter.Entry(command_frame, width=25)
    self._command_entry.pack(side="left", fill="x", expand=1)
    command_frame.pack(side="top", fill="x", expand=1)

    buttons = Tkinter.Frame(self)
    ok_button = Tkinter.Button(buttons, text="OK", width=8,
		command=self.ok)
    ok_button.pack(side="left", pady=2, padx=3)
    cancel_button = Tkinter.Button(buttons, text="Cancel", width=8,
		command=self.close)
    cancel_button.pack (side="left", pady=2, padx=3)
    buttons.pack(side="top")

  def ok(self):
    command_string = self._command_entry.get()
    if self._ok_command and len(command_string) > 0:
      self._ok_command(command_string)
      self.close()

  def close (self):
    if self._close_command:
      self._close_command()

  def okCommand (self, func):
    self._ok_command = func

  def closeCommand (self, func):
    self._close_command = func
